Listing payment links

GET /api/public/v1/payment_links

This endpoint returns a list of payment links with pagination.

Headers

Name
Value

Content-Type

application/vnd.api+json

Authorization

Bearer <api_key>

URL Parameters

Name
Type
Description

order

string

Order in which the list of records should be returned. Can be created_at.

order_type

string

Order type. Can be either asc or desc.

page

number

Page for which you want to return records.

per_page

number

Number of records per page to return.

reference

number

Payment link reference.

created_at_from

string

Date and time filter. Supports timestamps in ISO 8601 format, e.g. 2024-06-18T15:49:02.031Z.

created_at_to

string

Date and time filter. Supports timestamps in ISO 8601 format, e.g. 2024-06-18T15:49:02.031Z.

Response Body

Name
Type
Description

data.id

string

Payment link ID.

data.type

string

Entity type returned. Always paymentLinks.

data.attributes

object

Set of payment attributes.

data.attributes.amount

string

Payment amount to display to end users.

data.attributes.currency

string

Payment currency to display to end users. Refer to Supported currencies.

data.attributes.accountCurrency

string

Specifies the merchant account to be used for crediting invoice payments or debiting payout amounts.

data.attributes.network

string

Payment network code. E.g. trx:usdt. Refer to Supported currencies.

data.attributes.networkName

string

Payment network name. E.g. Tron (TRC20). Refer to Supported currencies.

data.attributes.reference

string

The custom reference ID to tie the payment to end-user.

data.attributes.hostedPageUrl

The payment hosted page URL to redirect your end-users to.

data.attributes.status

string

Payment link status context. Can be created, pending, completed, expired.

data.attributes.network

string

Network code. Refer to Supported currencies.

data.attributes.expiresAt

string

Payment link expiry date and time.

data.attributes.createdAt

string

Date and time payment was created at.

data.attributes.paymentType

string

Payment type. Can be either Invoice or Payout.

data.attributes.paymentMethods[]

array

Available payment methods.

data.attributes.payCurrencies[]

array

A list of cryptocurrency and token options your end-users can make payments in. This can be left empty if no value is passed in the request.

data.attributes.successRedirectUrl

string

URL you want your customer to be redirected from our hosted page to if the invoice completes.

data.attributes.unsuccessRedirectUrl

string

URL you want your customer to be redirected from our hosted page to if the invoice gets expired, cancelled or rejected.

data.relationships.target

object

This object will contain ID of the child Invoice or Payout generated by the Payment Link.

included

array

This array will contain data about the child Invoice or Payout generated by the Payment Link. For more details refer to Invoice and Payout pyaloads.

Response

Last updated